import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:ocg_app/ocg_app.dart';

class ShareHelper {
  static Future<void> copyToClipboard(String text) async {
    try {
      await Clipboard.setData(ClipboardData(text: text));
    } catch (e) {
      debugPrint("Error $e");
    }
  }

  // Whatsapp
  static Future<void> shareViaWhatsapp(String text) async {
    try {
      final Uri uri = Uri(
          scheme: "https", host: "wa.me", queryParameters: {"text": "$text"});
      String url = uri.toString();
      await UrlHelper.launchUrl(url);
    } catch (e) {
      debugPrint("Error $e");
    }
  }

  // Instagram
  static Future<void> shareViaInstagram(String text) async {
    throw UnimplementedError();
    // if (Platform.isAndroid) {
    //   intent.Intent()
    //     ..setPackage("com.instagram.android")
    //     ..putExtra(Extra.EXTRA_STREAM, "$text")
    //     ..putExtra(Extra.EXTRA_TEXT, "$text")
    //     ..startActivity().catchError((e) {
    //       print("$e");
    //     });
    // }
  }

  // Twitter
  static Future<void> shareViaTwitter(String text) async {
    try {
      final Uri uri = Uri(
          scheme: "https",
          host: "twitter.com",
          path: "share",
          queryParameters: {"text": "$text"});
      String url = uri.toString();
      if ((await UrlHelper.canLaunchUrl(url))?.data ?? false)
        await UrlHelper.launchUrl(url);
    } catch (e) {
      debugPrint("Error $e");
    }
  }
}
